com.fasterxml.jackson.dataformat.protobuf

## Class ProtobufMapper.Builder

- java.lang.Object
- - com.fasterxml.jackson.databind.cfg.MapperBuilder<ProtobufMapper,ProtobufMapper.Builder>
  - - com.fasterxml.jackson.dataformat.protobuf.ProtobufMapper.Builder

- Enclosing class:
    ProtobufMapper

      public static class ProtobufMapper.Builder
      extends com.fasterxml.jackson.databind.cfg.MapperBuilder<ProtobufMapper,ProtobufMapper.Builder>

  Base implementation for "Vanilla" `ObjectMapper`, used with Protobuf backend.
  Since:
    2.10

- - ### Field Summary

    - ### Fields inherited from class com.fasterxml.jackson.databind.cfg.MapperBuilder

      `_mapper`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder(ProtobufMapper m)`

  - ### Method Summary

    - ### Methods inherited from class com.fasterxml.jackson.databind.cfg.MapperBuilder

      `_this, activateDefaultTyping, activateDefaultTyping, activateDefaultTyping, activateDefaultTypingAsProperty, addHandler, addMixIn, addModule, addModules, addModules, annotationIntrospector, build, clearProblemHandlers, configure, configure, configure, configure, configure, configure, configure, deactivateDefaultTyping, defaultBase64Variant, defaultDateFormat, defaultLeniency, defaultLocale, defaultMergeable, defaultPrettyPrinter, defaultSetterInfo, defaultTimeZone, disable, disable, disable, disable, disable, disable, disable, enable, enable, enable, enable, enable, enable, enable, filterProvider, findAndAddModules, findModules, findModules, handlerInstantiator, injectableValues, isEnabled, isEnabled, isEnabled, isEnabled, isEnabled, nodeFactory, polymorphicTypeValidator, propertyNamingStrategy, registerSubtypes, registerSubtypes, registerSubtypes, serializationInclusion, serializerFactory, streamFactory, subtypeResolver, typeFactory, visibility, visibility`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder(ProtobufMapper m)

Copyright © 2019 FasterXML. All rights reserved.